Kerbal Space Program - Bug #9342

LT-1 and LT-2 Strut Rotate Wrong Axis Compared to LT-05 Micro Strut
04/20/2016 07:58 AM - MoeslyArmlis

Status: Closed Start date: 04/20/2016
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.2.0

Version: 1.1.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

The LT-1 and LT-2 Strut do not rotate correctly compared to the LT-05 Micro Strut. When placing a Micro Strut and the W or S key is
used to rotate the part 180 degrees the part is in an expected and traditional orientation.

The LT-1 and LT-2 landing struts seem backwards and no other key (Q or E, A or D) will place the landing strut correctly.

Pictures show result of pressing the W key twice before placing each part.

Replication:

Place a part that can easily identify top and bottom.

The LT-05 Micro strut can be placed and rotated correctly using the W or S keys for either the top or bottom of the FL-T400.

Place LT-1 or LT-2 Strut and use any rotate key (W or S, Q or E, A or D) to orient into proper position similar to the LT-05 Micro strut.

LT-1 and LT-2 landing Struts seem to rotate on wrong axis.

Related issues:
Related to Kerbal Space Program - Bug #9589: LT-1, LT-2 Landing Legs Rotation... Duplicate 04/29/2016

History

#1 - 04/20/2016 07:51 PM - dotoh
- File LT1_AXIS_1_0_5.png added
- File LT1_AXIS_1_1.png added

- File LT2_AXIS_1_0_5.png added

- File LT2_AXIS_1_1.png added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Was reported on #8582. #8582 Was marked as duplicate of #7654 (Lt-1 Landing struts have an offset) and that one marked as duplicate of #7593
(LT-2 and LT-1 landing struts are not attaching properly in VAB and SPH).

In #7593 comments:
Arsonide wrote:

If the translation offsets are fixed, then this issue is resolved.

Squelch wrote:

That is a different issue. The initial placement and rotation is based how the two part colliders interact. Rotational displacements are another
system and need to be addressed separately.

If the landing legs can be placed without offsets in symmetry, then this issue is resolved.
So | confirm this one as a different issue. Feel free to correct me and mark this one as duplicate.

Added screenshots from 1.0.5 and 1.1 for comparison purposes.

#2 - 04/29/2016 10:01 AM - sal_vager

- Related to Bug #9589: LT-1, LT-2 Landing Legs Rotation Offset added

#4 - 06/22/2016 12:46 PM - Anonymous
- File screenshot1.png added
- File screenshot0.png added
- File screenshot2.png added
- File screenshot3.png added

Rotation of LT-1 and LT-2 is still weird as of patch 1.1.3, making building planetary bases that require rotated landing legs very difficult.

The problem lies in that the rotation axis is alligned with the landing leg itself, instead of with the attachment point to another part.

These images show the behaviour of the LT-05, which behaves correctly, and the LT-1 which is rotated weirdly when pressing either the wasd

buttons or using the rotation tool.

Tested on a clean stock install.

#5 - 10/13/2016 07:31 PM - sal_vager
- Status changed from Confirmed to Ready to Test

- % Done changed from 10 to 80

This should be fixed in 1.2

#6 - 10/14/2016 01:10 AM - Squelch

- Target version set to 1.2.0

#7 - 11/06/2016 08:15 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing as this was fixed in 1.2.0

Files

screenshot96.png
screenshot97.png
screenshot98.png
screenshot99.png
screenshot101.png
screenshot100.png
screenshot102.png
screenshot103.png
screenshot104.png
screenshot105.png
LT1_AXIS_1_0 5.png
LT1_AXIS_1_1.png
LT2_AXIS_1_0_5.png
LT2_AXIS_1_1.png
screenshot1.png
screenshot0.png
screenshot2.png

screenshot3.png

04/19/2024

1010 KB
1010 KB
1010 KB
1020 KB
1010 KB
1010 KB
1020 KB
1.01 MB
1 MB

1 MB
2.54 MB
2.05 MB
2.42 MB
1.99 MB
2.12 MB
2.55 MB
2.8 MB
2.8 MB

04/20/2016
04/20/2016
04/20/2016
04/20/2016
04/20/2016
04/20/2016
04/20/2016
04/20/2016
04/20/2016
04/20/2016
04/20/2016
04/20/2016
04/20/2016
04/20/2016
06/22/2016
06/22/2016
06/22/2016
06/22/2016

MoeslyArmlis
MoeslyArmlis
MoeslyArmlis
MoeslyArmlis
MoeslyArmlis
MoeslyArmlis
MoeslyArmlis
MoeslyArmlis
MoeslyArmlis
MoeslyArmlis
dotoh

dotoh

dotoh

dotoh
Anonymous
Anonymous
Anonymous

Anonymous

22


http://www.tcpdf.org

